from django.shortcuts import render


# MVC - Model View Controller
# MTV - Model Template View

# <QueryDict: {'hello': ['world1', 'world2']}>

# GET - получение   http://localhost:1027/123?hello=world
#                   http://localhost:1027/123?hello=world1&hello=world2
# POST - действие


def index_view(request):
    return render(request, 'index.html')


# <QueryDict: {'csrfmiddlewaretoken': ['NSGuE2NGozjOQoH6d8d7CsBvW8jTmF57Hjbooz6VMoXTEIQkEynKqyeqiddle6e3'], 
# 'title': ['article 1'], 'text': ['rewgsdgadgdsagdsagsdag'], 
# 'author': ['anonymous author']}>


def article_create_view(request):
    if request.method == 'GET':
        return render(request, 'articles/create.html')
    elif request.method == 'POST':
        print(request.POST)
        
        context = {
            'title': request.POST.get('title'),
            'text': request.POST.get('text'),
            'author': request.POST.get('author'),
        }

        return render(request, 'articles/detail.html', context)
